Package com.pixelmed.dose

## Class CTDose

- java.lang.Object
- - com.pixelmed.dose.CTDose

- All Implemented Interfaces:
    `RadiationDoseStructuredReport`, `RadiationDoseStructuredReportFactory`

      public class CTDose
      extends java.lang.Object
      implements RadiationDoseStructuredReport, RadiationDoseStructuredReportFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.ArrayList<CTDoseAcquisition>` | `acquisitions` |
    `protected CompositeInstanceContext` | `compositeInstanceContext` |
    `protected CodedSequenceItem` | `defaultAnatomy` |
    `protected java.lang.String` | `description` |
    `protected java.util.SortedMap<CTPhantomType,​java.lang.String>` | `dlpSubTotals` |
    `protected java.lang.String` | `dlpTotal` |
    `protected CTPhantomType` | `dlpTotalPhantom` |
    `protected java.lang.String` | `endDateTime` |
    `protected static double` | `headToBodyDLPConversionFactor` |
    `protected AttributeList` | `list` |
    `protected CommonDoseObserverContext` | `observerContext` |
    `protected boolean` | `prohibitDLPTotalPhantomSettingFromAcquisitions` |
    `protected ScopeOfDoseAccummulation` | `scopeOfDoseAccummulation` |
    `protected java.lang.String` | `scopeUID` |
    `protected SourceOfDoseInformation` | `source` |
    `protected java.lang.String` | `sourceSOPInstanceUID` |
    `protected StructuredReport` | `sr` |
    `protected java.lang.String` | `startDateTime` |
    `protected int` | `totalNumberOfIrradiationEvents` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CTDose​(AttributeList list)` |
    `CTDose​(StructuredReport sr)` |
    `CTDose​(StructuredReport sr, AttributeList list)` |
    `CTDose​(ScopeOfDoseAccummulation scopeOfDoseAccummulation, java.lang.String scopeUID, java.lang.String startDateTime, java.lang.String endDateTime, java.lang.String description)` |
    `CTDose​(java.lang.String dlpTotal, int totalNumberOfIrradiationEvents, ScopeOfDoseAccummulation scopeOfDoseAccummulation, java.lang.String scopeUID, java.lang.String startDateTime, java.lang.String endDateTime, java.lang.String description)` |
    `CTDose​(java.lang.String dlpSubTotalHead, java.lang.String dlpSubTotalBody, int totalNumberOfIrradiationEvents, ScopeOfDoseAccummulation scopeOfDoseAccummulation, java.lang.String scopeUID, java.lang.String startDateTime, java.lang.String endDateTime, java.lang.String description)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAcquisition​(CTDoseAcquisition acquisition)` |
    `CTDoseAcquisition` | `getAcquisition​(int i)` |
    `AttributeList` | `getAttributeList()` |
    `CompositeInstanceContext` | `getCompositeInstanceContext()` |
    `CodedSequenceItem` | `getDefaultAnatomy()` |
    `java.lang.String` | `getDescription()` |
    `java.lang.String` | `getDescriptionOfWhereThisObjectCameFrom()` |
    `java.lang.String` | `getDLPSubTotalBody()` |
    `java.lang.String` | `getDLPSubTotalHead()` |
    `java.lang.String` | `getDLPTotal()` |
    `java.lang.String` | `getDLPTotalCombinedFromHeadAndBodyPhantomValues()` |
    `static double` | `getDLPTotalCombinedFromHeadAndBodyPhantomValues​(double dlpSubTotalHead, double dlpSubTotalBody)` |
    `static java.lang.String` | `getDLPTotalCombinedFromHeadAndBodyPhantomValues​(java.lang.String dlpSubTotalHead, java.lang.String dlpSubTotalBody)` |
    `java.lang.String` | `getDLPTotalFromAcquisitions()` |
    `CTPhantomType` | `getDLPTotalPhantom()` |
    `java.lang.String` | `getDLPTotalPhantomDescriptionToUse()` |
    `CTPhantomType` | `getDLPTotalPhantomToUse()` |
    `java.lang.String` | `getDLPTotalToUse()` |
    `java.lang.String` | `getEndDateTime()` |
    `static java.lang.String` | `getHTMLTableHeaderRow()` |
    `java.lang.String` | `getHTMLTableRow​(boolean detail)` |
    `int` | `getNumberOfAcquisitions()` |
    `CommonDoseObserverContext` | `getObserverContext()` |
    `ScopeOfDoseAccummulation` | `getScopeOfDoseAccummulation()` |
    `java.lang.String` | `getScopeUID()` |
    `SourceOfDoseInformation` | `getSourceOfDoseInformation()` |
    `java.lang.String` | `getSourceSOPInstanceUID()` |
    `java.lang.String` | `getStartDateTime()` |
    `StructuredReport` | `getStructuredReport()` |
    `StructuredReport` | `getStructuredReport​(boolean rebuild)` |
    `int` | `getTotalNumberOfIrradiationEvents()` |
    `RadiationDoseStructuredReport` | `makeRadiationDoseStructuredReportInstance​(AttributeList list)` |
    `RadiationDoseStructuredReport` | `makeRadiationDoseStructuredReportInstance​(StructuredReport sr)` |
    `RadiationDoseStructuredReport` | `makeRadiationDoseStructuredReportInstance​(StructuredReport sr, AttributeList list)` |
    `void` | `merge​(CTDose ctDoseToMerge)` |
    `protected void` | `parseSRContent()` |
    `void` | `setCompositeInstanceContext​(CompositeInstanceContext compositeInstanceContext)` |
    `void` | `setDefaultAnatomy​(CodedConcept defaultAnatomyConcept)` |
    `void` | `setDefaultAnatomy​(CodedSequenceItem defaultAnatomy)` |
    `void` | `setDLPTotal​(java.lang.String dlpTotal)` |
    `void` | `setDLPTotal​(java.lang.String dlpSubTotalHead, java.lang.String dlpSubTotalBody)` |
    `void` | `setDLPTotalPhantom​(CTPhantomType dlpTotalPhantom)` |
    `void` | `setObserverContext​(CommonDoseObserverContext observerContext)` |
    `void` | `setSourceOfDoseInformation​(SourceOfDoseInformation source)` |
    `void` | `setSourceSOPInstanceUID​(java.lang.String sourceSOPInstanceUID)` |
    `boolean` | `specifiedDLPTotalMatchesDLPTotalFromAcquisitions()` |
    `java.lang.String` | `toString()` |
    `java.lang.String` | `toString​(boolean detail, boolean pretty)` |
    `void` | `write​(java.lang.String filename)` |
    `void` | `write​(java.lang.String filename, java.lang.String aet)` |
    `void` | `write​(java.lang.String filename, java.lang.String aet, java.lang.String manufacturerModelName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### headToBodyDLPConversionFactor

          protected static double headToBodyDLPConversionFactor

    - #### source

          protected SourceOfDoseInformation source

    - #### dlpTotal

          protected java.lang.String dlpTotal

    - #### dlpTotalPhantom

          protected CTPhantomType dlpTotalPhantom

    - #### prohibitDLPTotalPhantomSettingFromAcquisitions

          protected boolean prohibitDLPTotalPhantomSettingFromAcquisitions

    - #### dlpSubTotals

          protected java.util.SortedMap<CTPhantomType,​java.lang.String> dlpSubTotals

    - #### totalNumberOfIrradiationEvents

          protected int totalNumberOfIrradiationEvents

    - #### scopeOfDoseAccummulation

          protected ScopeOfDoseAccummulation scopeOfDoseAccummulation

    - #### scopeUID

          protected java.lang.String scopeUID

    - #### acquisitions

          protected java.util.ArrayList<CTDoseAcquisition> acquisitions

    - #### observerContext

          protected CommonDoseObserverContext observerContext

    - #### compositeInstanceContext

          protected CompositeInstanceContext compositeInstanceContext

    - #### startDateTime

          protected java.lang.String startDateTime

    - #### endDateTime

          protected java.lang.String endDateTime

    - #### description

          protected java.lang.String description

    - #### sourceSOPInstanceUID

          protected java.lang.String sourceSOPInstanceUID

    - #### defaultAnatomy

          protected CodedSequenceItem defaultAnatomy

    - #### sr

          protected StructuredReport sr

    - #### list

          protected AttributeList list

  - ### Constructor Detail

    - #### CTDose

          public CTDose​(StructuredReport sr)
                 throws DicomException

      Throws:
        `DicomException`

    - #### CTDose

          public CTDose​(StructuredReport sr,
                        AttributeList list)
                 throws DicomException

      Throws:
        `DicomException`

    - #### CTDose

          public CTDose​(AttributeList list)
                 throws DicomException

      Throws:
        `DicomException`

    - #### CTDose

          public CTDose​(java.lang.String dlpTotal,
                        int totalNumberOfIrradiationEvents,
                        ScopeOfDoseAccummulation scopeOfDoseAccummulation,
                        java.lang.String scopeUID,
                        java.lang.String startDateTime,
                        java.lang.String endDateTime,
                        java.lang.String description)

    - #### CTDose

          public CTDose​(java.lang.String dlpSubTotalHead,
                        java.lang.String dlpSubTotalBody,
                        int totalNumberOfIrradiationEvents,
                        ScopeOfDoseAccummulation scopeOfDoseAccummulation,
                        java.lang.String scopeUID,
                        java.lang.String startDateTime,
                        java.lang.String endDateTime,
                        java.lang.String description)

    - #### CTDose

          public CTDose​(ScopeOfDoseAccummulation scopeOfDoseAccummulation,
                        java.lang.String scopeUID,
                        java.lang.String startDateTime,
                        java.lang.String endDateTime,
                        java.lang.String description)

  - ### Method Detail

    - #### makeRadiationDoseStructuredReportInstance

          public RadiationDoseStructuredReport makeRadiationDoseStructuredReportInstance​(StructuredReport sr)
                                                                                  throws DicomException

      Specified by:
        `makeRadiationDoseStructuredReportInstance` in interface `RadiationDoseStructuredReportFactory`
      Throws:
        `DicomException`

    - #### makeRadiationDoseStructuredReportInstance

          public RadiationDoseStructuredReport makeRadiationDoseStructuredReportInstance​(StructuredReport sr,
                                                                                         AttributeList list)
                                                                                  throws DicomException

      Specified by:
        `makeRadiationDoseStructuredReportInstance` in interface `RadiationDoseStructuredReportFactory`
      Throws:
        `DicomException`

    - #### makeRadiationDoseStructuredReportInstance

          public RadiationDoseStructuredReport makeRadiationDoseStructuredReportInstance​(AttributeList list)
                                                                                  throws DicomException

      Specified by:
        `makeRadiationDoseStructuredReportInstance` in interface `RadiationDoseStructuredReportFactory`
      Throws:
        `DicomException`

    - #### merge

          public void merge​(CTDose ctDoseToMerge)

    - #### parseSRContent

          protected void parseSRContent()
                                 throws DicomException

      Throws:
        `DicomException`

    - #### addAcquisition

          public void addAcquisition​(CTDoseAcquisition acquisition)

    - #### getObserverContext

          public CommonDoseObserverContext getObserverContext()

    - #### setObserverContext

          public void setObserverContext​(CommonDoseObserverContext observerContext)

    - #### getCompositeInstanceContext

          public CompositeInstanceContext getCompositeInstanceContext()

    - #### setCompositeInstanceContext

          public void setCompositeInstanceContext​(CompositeInstanceContext compositeInstanceContext)

    - #### setSourceOfDoseInformation

          public void setSourceOfDoseInformation​(SourceOfDoseInformation source)

    - #### getSourceOfDoseInformation

          public SourceOfDoseInformation getSourceOfDoseInformation()

    - #### getDLPTotal

          public java.lang.String getDLPTotal()

    - #### setDLPTotal

          public void setDLPTotal​(java.lang.String dlpTotal)

    - #### setDLPTotal

          public void setDLPTotal​(java.lang.String dlpSubTotalHead,
                                  java.lang.String dlpSubTotalBody)

    - #### getDLPTotalToUse

          public java.lang.String getDLPTotalToUse()

    - #### getDLPTotalPhantom

          public CTPhantomType getDLPTotalPhantom()

    - #### setDLPTotalPhantom

          public void setDLPTotalPhantom​(CTPhantomType dlpTotalPhantom)

    - #### getDLPTotalPhantomToUse

          public CTPhantomType getDLPTotalPhantomToUse()

    - #### getDLPTotalPhantomDescriptionToUse

          public java.lang.String getDLPTotalPhantomDescriptionToUse()

    - #### getDLPSubTotalHead

          public java.lang.String getDLPSubTotalHead()

    - #### getDLPSubTotalBody

          public java.lang.String getDLPSubTotalBody()

    - #### getTotalNumberOfIrradiationEvents

          public int getTotalNumberOfIrradiationEvents()

    - #### getScopeOfDoseAccummulation

          public ScopeOfDoseAccummulation getScopeOfDoseAccummulation()

    - #### getScopeUID

          public java.lang.String getScopeUID()

    - #### getNumberOfAcquisitions

          public int getNumberOfAcquisitions()

    - #### getAcquisition

          public CTDoseAcquisition getAcquisition​(int i)

    - #### getDLPTotalCombinedFromHeadAndBodyPhantomValues

          public static double getDLPTotalCombinedFromHeadAndBodyPhantomValues​(double dlpSubTotalHead,
                                                                               double dlpSubTotalBody)

    - #### getDLPTotalCombinedFromHeadAndBodyPhantomValues

          public static java.lang.String getDLPTotalCombinedFromHeadAndBodyPhantomValues​(java.lang.String dlpSubTotalHead,
                                                                                         java.lang.String dlpSubTotalBody)

    - #### getDLPTotalCombinedFromHeadAndBodyPhantomValues

          public java.lang.String getDLPTotalCombinedFromHeadAndBodyPhantomValues()

    - #### getDLPTotalFromAcquisitions

          public java.lang.String getDLPTotalFromAcquisitions()
                                                       throws java.lang.NumberFormatException

      Throws:
        `java.lang.NumberFormatException`

    - #### specifiedDLPTotalMatchesDLPTotalFromAcquisitions

          public boolean specifiedDLPTotalMatchesDLPTotalFromAcquisitions()

    - #### getStartDateTime

          public java.lang.String getStartDateTime()

    - #### getEndDateTime

          public java.lang.String getEndDateTime()

    - #### getDescription

          public java.lang.String getDescription()

    - #### getSourceSOPInstanceUID

          public java.lang.String getSourceSOPInstanceUID()

    - #### setSourceSOPInstanceUID

          public void setSourceSOPInstanceUID​(java.lang.String sourceSOPInstanceUID)

    - #### getDefaultAnatomy

          public CodedSequenceItem getDefaultAnatomy()

    - #### setDefaultAnatomy

          public void setDefaultAnatomy​(CodedSequenceItem defaultAnatomy)

    - #### setDefaultAnatomy

          public void setDefaultAnatomy​(CodedConcept defaultAnatomyConcept)

    - #### getDescriptionOfWhereThisObjectCameFrom

          public java.lang.String getDescriptionOfWhereThisObjectCameFrom()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString​(boolean detail,
                                           boolean pretty)

    - #### getHTMLTableHeaderRow

          public static java.lang.String getHTMLTableHeaderRow()

    - #### getHTMLTableRow

          public java.lang.String getHTMLTableRow​(boolean detail)

    - #### getStructuredReport

          public StructuredReport getStructuredReport()
                                               throws DicomException

      Specified by:
        `getStructuredReport` in interface `RadiationDoseStructuredReport`
      Throws:
        `DicomException`

    - #### getStructuredReport

          public StructuredReport getStructuredReport​(boolean rebuild)
                                               throws DicomException

      Throws:
        `DicomException`

    - #### getAttributeList

          public AttributeList getAttributeList()
                                         throws DicomException

      Throws:
        `DicomException`

    - #### write

          public void write​(java.lang.String filename,
                            java.lang.String aet,
                            java.lang.String manufacturerModelName)
                     throws DicomException,
                            java.io.IOException

      Throws:
        `DicomException`
        `java.io.IOException`

    - #### write

          public void write​(java.lang.String filename,
                            java.lang.String aet)
                     throws DicomException,
                            java.io.IOException

      Throws:
        `DicomException`
        `java.io.IOException`

    - #### write

          public void write​(java.lang.String filename)
                     throws DicomException,
                            java.io.IOException

      Throws:
        `DicomException`
        `java.io.IOException`